{{define "addSourcePage"}}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <title>Новый источник</title>
</head>
<body>
    <div class="row col-12">
        <nav class="navbar navbar-light bg-light col-5">
            <div class="container-fluid">
                <span class="navbar-brand mb-0 h1">Добавление нового источника</span>
                <a class="navbar-brand" href="/">На главную</a>
                <a class="navbar-brand" href="/sources_list">Назад</a>
            </div>
        </nav>

    <h3>Rss источник</h3>
    <div class="row col-7">
    <form action="/new_source" method="post">
        <label class="justify-content-left col-4">Адрес страницы</label>
        <input class="justify-content-right col-4" name="url" required/>
        <div class="row">
            <button class="justify-content-right col-2 btn btn-success" type="submit">Добавить</button>
        </div>
    </form>
    </div>
    <h3>Новостной сайт</h3>
    <div class="row col-7">
        <p class="justify-content-left col-9">
        Пример селекторов: "li.news_item" - элемент списка (li) с классом "news_item" или "div#row-1" - 
        элемент div с id "row-1". В селекторе можно не обозначать элемент (пример - ".news_item") или его класс/id (пример - "h1"), 
        главное - чтобы селектор указывал точно на нужный элемент.  
        </p>
    <form action="/new_source" method="post">
        <label class="justify-content-left col-4">Адрес страницы</label>
        <input class="justify-content-right col-4" name="url" required/>
        <label class="justify-content-left col-4">Селектор блока новости</label>
        <input class="justify-content-right col-4" name="news_item_block" required/>
        <label class="justify-content-left col-4">Селектор заголовка новости</label>
        <input class="justify-content-right col-4" name="news_item_title" required/>
        <label class="justify-content-left col-4">Селектор описания новости</label>
        <input class="justify-content-right col-4" name="news_item_description"/>
        <label class="justify-content-left col-4">Селектор ссылки на новость</label>
        <input class="justify-content-right col-4" name="news_item_link"/>
        <label class="justify-content-left col-4">Селектор даты новости</label>
        <input class="justify-content-right col-4" name="news_item_date"/>
        <div class="row col-12">
            <button class="col-2 btn btn-success" type="submit">Добавить</button>
        </div>
    </form>
    </div>
</div>
</body>
</html>
{{end}}